[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlCanvas.ControlIsPainting

Indicates if the Control has called but not completed its Paint method.

## Declaration

Source position: controls.pp line 369

`public function TControlCanvas.ControlIsPainting: Boolean;`

## Function result

True when the Control has been assigned is repainting.

## Description

ControlIsPainting is a Boolean function which indicates if the Control has called but not completed its Paint method. ControlIsPainting returns True when the Control has been assigned (contains a non-Nil value) and its IsProcessingPaintMsg method returns True.

ControlIsPainting is used in the implementation of the CreateHandle method.

## See also

TControl.IsProcessingPaintMsg |  | True while painting the control.